#pragma once 
#ifndef __${CLASSNAME}_HXX__
#define __${CLASSNAME}_HXX__

#include <iostream>
#include <sstream>
#include <map>

namespace ${ns}
{
  class ${className} {

    public:
      ${fields}

      /* default constructor/destructor */
      ${className}();
      ~${className}();

      ${className}(${constructorParam});

      /* building an instance from string list */
      void build(std::map<std::string,std::string> &keyList);

      /* key xpath: [@key1="value1" and @key2="value2" and ...] */
      std::string toXpath() const;

      /* xml string: <interface key1="value1" key2="value2"></interface> */
      std::string toString() const;

      /* Serialize keys */
      std::string str() const;

      friend std::ostream& operator<<(std::ostream& out, const ${className} &value);

      /* compare hash key */
      inline bool operator<(const ${className} &rhs) const
      {
        /* TODO: implement by user */
        return true;
      }

  };
}
/* namespace ${ns} */
#endif /* ${CLASSNAME}_HXX_ */
