if (Meteor.isClient) {

Template.talkToNetconf.events({
  'click #btnRequest': function (event, template) {
    console.log("handling btnRequestNIC click event");
    var uri = template.find('#uri').value;
    // Call the method to send an http request
    var ret = Meteor.call("testSendHttpReq", uri);    
  }
});

Meteor.methods({
  testSendHttpReq: function (uri) {
    console.log("handling testSendHttpReq function");
    this.unblock();
    try {
      // You may change the address of the server is listening request instead of localhost
      // For the demo, we assume the server (meteor) is running on a localhost and the client
      // is running on the localhost, too
      var uri = "http://localhost:3000/xget?resourceURI=" + uri;
      //var uri = "http://localhost:3000/xget?resourceURI=/ethernet/interfaces?name=" + dev;
      //var uri = "http://10.20.18.38:3000/xget?resourceURI=/ethernet/interfaces?name=" + dev;
      console.log(uri);
      // A asynchronous call to server 
      HTTP.call("GET", uri, function(err,result) {
        console.log(result.content);
        Session.set("nicInfo", result.content);
        Template.talkToNetconf.find('#nicInfo').value = result.content;
        return true;
      });
    }catch (e) {
     // Got a network error, time-out or HTTP error in the 400 or 500 range.       
       //console.log(e); 
       console.log("Exception xxx");
       console.log(e);
       return false;
     }
  }
});

Template.talkToNetconf.helpers({
  nicResult: function() {
    return Session.get("nicInfo");
  }
});

}
