#! /usr/bin/env python2.6

import xmltodict, json
import sys, os, warnings
warnings.simplefilter("ignore", DeprecationWarning)
# comment the syspath below if you set PYTHONPATH to ncclient or 
# you may change the path to ncclient if ncclient is not in your PATH

#sys.path.append("/media/DATA/working/git/mgt/3rdparty/ncclient")

from ncclient import manager


def get(host, user, expr):
 # You have to change the username and password for an user to be able to connect 
 # to the localhost using ssh here
 with manager.connect(host=host, port=830, username=user, password='') as m:
  assert(":xpath" in m.server_capabilities)
  c = m.get(filter=('xpath', expr)).data_xml
  return c

def formatUri(uri):
 formattedUri = ""
 for s in uri.split("/"):  
  if s:
   #print s
   idx = s.find("?")
   if idx != -1:  
    s = s.replace("?","[")
    #print "after replacing: " + s
    idx2 = s.find("=", idx)
    if (idx2 != -1):
     ss=s[0:idx2+1]
     t=s[idx2+1:len(s)+1]
     ss=ss+"'"+t+"'"+"]"
     formattedUri=formattedUri+"/"+ss       
   else:
    #print "Not found '?' " + s
    formattedUri=formattedUri+"/"+s
 return formattedUri  
   
if __name__ == '__main__':
 s = formatUri(sys.argv[1])
 #print s
 c = get('localhost', os.getenv("USER"), s)
 o = xmltodict.parse(c)
 print json.dumps(o)
