mgt_mkfile_path := $(abspath $(lastword $(MAKEFILE_LIST)))
SAFPLUS_MGT_DIR ?= $(patsubst %/,%, $(dir $(mgt_mkfile_path)))

# $(info md: $(mkfile_path) ::: $(SAFPLUS_MGT_DIR))
ifneq ($(wildcard $(SAFPLUS_DIR)/src/mk/preface.mk),) 
    SAFPLUS_MAKE_DIR ?= $(SAFPLUS_DIR)/src/mk/
else
ifneq ($(wildcard $(SAFPLUS_MGT_DIR)/../src/mk/preface.mk),)   # within source tree
    SAFPLUS_MAKE_DIR ?= $(SAFPLUS_MGT_DIR)/../src/mk/
else
ifneq ($(wildcard $(SAFPLUS_MGT_DIR)/../safplus/src/mk/preface.mk),)   
    SAFPLUS_MAKE_DIR ?= $(wildcard $(SAFPLUS_MGT_DIR)/../safplus/src/mk)
else
ifneq ($(wildcard $(SAFPLUS_MGT_DIR)/../SAFplus/src/mk/preface.mk),)   
    SAFPLUS_MAKE_DIR ?= $(wildcard $(SAFPLUS_MGT_DIR)/../SAFplus/src/mk)
else
ifneq ($(wildcard /opt/safplus/7.0/sdk),) 
    SAFPLUS_MAKE_DIR ?= /opt/safplus/7.0/sdk/src/mk
    SAFPLUS_HA_INSTALLED:=1
else
$(error Cannot find SAFPLUS SDK)
endif
endif
endif
endif
endif

include $(SAFPLUS_MAKE_DIR)/preface.mk

ifeq ($(SAFPLUS_MGT_DIR),/opt/safplus/7.0/mgt)  # Installed
SAFPLUS_MGT_LIB_DIR ?= $(SAFPLUS_MGT_DIR)/lib
SAFPLUS_MGT_INSTALLED:=1
else
SAFPLUS_MGT_LIB_DIR ?= $(LIB_DIR)
endif
$(info SAFPLUS_MGT_LIB_DIR $(SAFPLUS_MGT_LIB_DIR))
ifeq ($(strip $(USE_DIST_LIB)),0)
INSTALL_DIR:=$(SAFPLUS_MGT_DIR)/3rdparty/build
else
INSTALL_DIR:=/usr
endif
