#include <${className}.hxx>

using namespace std;

namespace ${ns}
{
  /* default constructor/destructor */
  ${className}::${className}() 
  {
  }

  ${className}::~${className}()
  {
  }

  ${className}::${className}(${constructorParam}) 
  {
    ${constructorImpl}
  }

  /* building an instance from string list */
  void ${className}::build(std::map<std::string,std::string> &keyList)
  {
    std::map<std::string,std::string>::iterator iter;
    ${buildOut}
  }

  /* key xpath: [@key1="value1" and @key2="value2" and ...] */
  std::string ${className}::toXpath() const
  {
    std::stringstream ss;
    ss << "[" ${toXpathOut} << "]";
    return ss.str();
  }

  /* xml string: <interface key1="value1" key2="value2"></interface> */
  std::string ${className}::toString() const
  {
    std::stringstream ss;
    ss<< "${toStringOut}";
    return ss.str();
  }

  /* Serialize keys */
  std::string ${className}::str() const
  {
    std::stringstream ss;
    ss<< ${strOut};
    return ss.str();
  }

  std::ostream& operator<<(std::ostream& out, const ${className} &value)
  {
    out<< ${valueOut};
    return out;
  }

}
/* namespace ${ns} */
